//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SchoolDAL
{
    using System;
    using System.Collections.Generic;
    
    public partial class Paciente
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public Paciente()
        {
            this.Placa2 = new HashSet<Placa2>();
        }
    
        public int CodigoCorrelativo { get; set; }
        public Nullable<int> CodigoOA { get; set; }
        public string NombreCompleto { get; set; }
        public string Email { get; set; }
        public string Celular { get; set; }
        public string Medico { get; set; }
        public string Aseguradora { get; set; }
        public string Procedencia { get; set; }
        public string Examen { get; set; }
        public string Estado { get; set; }
        public string FechaSolicitud { get; set; }
        public Nullable<int> Edad { get; set; }
        public byte[] Imagen { get; set; }
        public string Informe { get; set; }
    
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<Placa2> Placa2 { get; set; }
    }
}
